<nz-page-header nzBackIcon [nzTitle]="'Citizen.Training.Trainings' | translate"
  nzSubtitle="{{ 'Citizen.Training.increaseStrenght' | translate }}"></nz-page-header>

<nz-card class="training" style="width: 100%" [nzLoading]="isLoading[0]">
  <div  *ngIf="todaysData == undefined">
    <div style="text-align: center;">
      <h2>{{ 'Citizen.Training.YouHaventTrained' | translate }}</h2>
    </div>
    <div style="text-align: center">
      <button nz-button nzShape="round" class="btn-train" nzType="primary" (click)="train()" [disabled]="isLoading[0]">
        {{ 'Citizen.Training.Train' | translate }}
      </button>
    </div>
  </div>

  <div *ngIf="todaysData != undefined">
    <div style="text-align: center">
      <h2>{{ 'Citizen.Training.YouHaveTrained' | translate }}</h2>
    </div>
    <div nz-row nzType="flex" nzJustify="space-around" style="text-align: center;" nzGutter="12">
      <div nz-col nzSm="24" nzXs="24" nzLg="6" style="margin-bottom: 5px;">
        <nz-card class="statistic">
          <nz-statistic [nzValue]="todaysData.payload.daysInRow | number: '1.0-2'" [nzTitle]="'Citizen.Training.daysTrainedRow' | translate"
            [nzPrefix]="prefixStr" [nzValueStyle]="{ color: '#3F8600' }">
          </nz-statistic>
          <ng-template #prefixStr><i nz-icon nzType="arrow-up"></i></ng-template>
        </nz-card>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6" style="margin-bottom: 5px;">
        <nz-card class="statistic">
          <nz-statistic [nzValue]="todaysData.payload.strengthIncrease | number: '1.0-2'" [nzTitle]="'Citizen.Training.strengthIncrease' | translate"
            [nzPrefix]="prefixStr" [nzSuffix]="suffixStr" [nzValueStyle]="{ color: '#3F8600' }">
          </nz-statistic>
          <ng-template #prefixStr><i nz-icon nzType="arrow-up"></i></ng-template>
        </nz-card>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6" style="margin-bottom: 5px;">
        <nz-card class="statistic">
          <nz-statistic nzValue="{{ todaysData.payload.strengthBefore + todaysData.payload.strengthIncrease | number: '1.0-2' }}"
            [nzTitle]="'Citizen.Training.postTrainingStrength' | translate" [nzValueStyle]="{ color: '#3F8600' }">
          </nz-statistic>
        </nz-card>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6" style="margin-bottom: 5px;">
        <nz-card class="statistic">
          <nz-statistic [nzValue]="1" [nzTitle]="'Citizen.Wellness' | translate" [nzPrefix]="prefixWellness"
            [nzSuffix]="suffixWellness" [nzTitleStyle]="{ color: 'black' }" [nzValueStyle]="{ color: 'red' }">
          </nz-statistic>
          <ng-template #prefixWellness><i nz-icon nzType="arrow-down"></i></ng-template>
          <ng-template #suffixWellness>({{ todaysData.payload.health - 1 }})</ng-template>
        </nz-card>
      </div>
    </div>
  </div>
</nz-card>

<nz-card [nzTitle]="statsTitle" [nzLoading]="isLoading[1]" style="width: 100%; margin-top: 10px">
  <ng-template #statsTitle>
    <div nzTooltipTitle="Your strength vs average strenght in the world" [nzTooltipPlacement]="['topLeft', 'leftTop']"
      nz-tooltip>
      {{ 'Citizen.Training.YouVsWorls' | translate }}
    </div>
  </ng-template>


  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading[1]">
    <app-chart *ngIf="chartData && isLoading[1] === false && isLoading[0] === false" [labels]="chartData.labels"
      [datasets]="chartData.datasets" [options]="chartData.options" type="line" height="400"></app-chart>
  </nz-spin>
</nz-card>